Create Rollup Cash Flows for Company

POST /ws/rest/service/v1/cashflow/rollup/

Purpose

Create Rollup Cash Flows.

Request Format

All parameters should be URL encoded.

Path Parameter

Both input & output in JSON format in the body

In the input request:

  • "name"
  • "status": (Optional) If not specified, by default 'Active' will be taken.
  • "data_source": (Optional) List of data sources, which has to be part of the rollup curve. If no value is specified, the rollup curve will be created without any data sources.
  • "period_type": If no value is given, by default "Standard Planning Period" will be taken
  • "period_by": Is Required if period_type is "Standard Planning Period" and by default 'Year' will be taken.
  • "period_format": Is Required if period_type is "Standard Planning Period" and by default 'YYYY' will be taken.
  • "period_name": Is Required if period_type is "Financial Periods"
  • "decimal_places" (Optional)

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

The data will contain the name and the id of the rollup curve which was created successfully. The message will contain the status of the curve creation for all the input data.

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Request

{

"data": [

{

"template": "Rollup Template"

"name": "Rollup Curve 1",

"status": "Active",

"period_type": "Standard Planning Period",

"period_name": "Standard Planning Period",

"period_by": "Year",

"period_format": "YYYY",

"decimal_places": 5,

"data_source": [

{

"name": "Baseline",

"curve_type": "Baseline"

},

{

"name": "Vendor Approved Budget",

"curve_type": "Baseline"

}

]

},

{

"name": "Rollup Curve 3",

"status": "Active",

"period_type": "Financial Periods",

"period_name": "FP",

"decimal_places": 5,

"data_source": []

}

]

}

Sample Response

The following response is returned for the above request:

  • A success response is returned for Rollup Curve 1.
  • A failed response with status 1303 is returned for Rollup Curve 3.
  • An overall status code of 3000 is returned as it was a partial failure/success.

{

"data":[

{

"id": "208"

"name": "Rollup Curve 1",

"status": "Active",

"period_type": "Standard Planning Period",

"period_name": "Standard Planning Period",

"period_by": "Year",

"period_format": "YYYY",

"decimal_places": 5,

"data_source": [

{

"name": "Baseline",

"curve_type": "Baseline"

},

{

"name": "Vendor Approved Budget",

"curve_type": "Baseline"

}

]

}

],

"message":[

{

"name":"Rollup Curve 1",

"status":"200",

"message":"success"

},

{

"name":"Rollup Curve 3",

"status": 1303,

"message": "CashFlow data provided is not valid for field : period_name"

}

],

"status":3000

}